package com.tomhempel.rbarometer.ui

import com.tomhempel.rbarometer.LanguageManager

data class Month(val name: String) {
    override fun toString(): String = name
}

object Months {
    fun getAllMonths(languageID: String): List<Any> {
        return listOf(
            Month(LanguageManager.getText(languageID, "january")),
            Month(LanguageManager.getText(languageID, "february")),
            Month(LanguageManager.getText(languageID, "march")),
            Month(LanguageManager.getText(languageID, "april")),
            Month(LanguageManager.getText(languageID, "may")),
            Month(LanguageManager.getText(languageID, "june")),
            Month(LanguageManager.getText(languageID, "july")),
            Month(LanguageManager.getText(languageID, "august")),
            Month(LanguageManager.getText(languageID, "september")),
            Month(LanguageManager.getText(languageID, "october")),
            Month(LanguageManager.getText(languageID, "november")),
            Month(LanguageManager.getText(languageID, "december"))
        )
    }
}
